%define		kdeframever	5.89
%define		qtver		5.15.2
%define		kfname		kpty

Summary:	Interfacing with pseudo terminal devices
Name:		kf5-%{kfname}
Version:	5.89.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	b4008d6247bb95dd260e505e5c499c91
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	libutempter-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	kf5-dirs
Requires:	kf5-kcoreaddons >= %{version}
Requires:	kf5-ki18n >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This library provides primitives to interface with pseudo terminal
devices as well as a KProcess derived class for running child
processes and communicating with them using a pty.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf5-kcoreaddons-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5Pty.so.5
%attr(755,root,root) %{_libdir}/libKF5Pty.so.*.*
%{_datadir}/qlogging-categories5/kpty.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KPty
%{_includedir}/KF5/kpty_version.h
%{_libdir}/cmake/KF5Pty
%{_libdir}/libKF5Pty.so
%{qt5dir}/mkspecs/modules/qt_KPty.pri
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kpty.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c09bb9f
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 534b403
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9a1a86c
- updated to 5.87.0

* Thu Sep 23 2021 Jan Palus <atler@pld-linux.org> 5f794f1
- updated deps

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6375baa
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> dbfb4f7
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6a7306e
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a0505a1
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 623f23c
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e897990
- updated to 5.81.0

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> d585ae1
- macros for %ninja*

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> 69cde7c
- updated build and runtime deps

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ba381fe
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 308c808
- update to 5.79.0

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> 480104c
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> acee165
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 8fc0ec3
- Up to 5.65.0.

* Mon Dec 02 2019 Łukasz Maśko <lmasko@pld-linux.org> 4e505f0
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 24e96c7
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 62f7159
- updated to 5.56

